<?php
if (!defined("__ADVDIR__"))
  exit();

class Menu
{
  public $mid;
  public $name;
  public $order;
  public $url;
  public $suburl;
  public $icon;
  public $gnb_grp_div;
  public $display;

  public function __construct($mid, $name, $url, $display = true, $order = 0, $icon = "", $gnb_grp_div = 0)
  {
    $this->display = $display;
    $this->mid = $mid;
    $this->name = $name;
    $this->order = $order;
    $this->url = $url;
    $this->icon = $icon;
    $this->gnb_grp_div = $gnb_grp_div;
  }

  public function addSubURL($url)
  {
    if (!in_array($url, $this->suburl))
      $this->suburl[] = $url;
  }
}
